1 Reply Latest reply on Mar 26, 2015 11:34 AM by thedicemaster

    Tablet android 4.2.2 when i try to. Buy it say your. device is Not compatible...what can i do???

    soffyr45788089

      Tabletas android 4.2.2 and when i try to buy it said  device not compatible.  What can i do?